aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sync-binpackages.sh')
-rwxr-xr-xsync-binpackages.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/sync-binpackages.sh b/sync-binpackages.sh
index dbee1d7..fe524d9 100755
--- a/sync-binpackages.sh
+++ b/sync-binpackages.sh
@@ -2,7 +2,7 @@
# Copyright 2011-2023 Gentoo Authors; Distributed under the GPL v2
# for testing
-ARCHES="arm64 sparc"
+ARCHES="sparc"
# Keep this variable in sync in both sign-binpackages.sh & sync-binpackages.sh
_ARCHES="alpha amd64 arm64 arm hppa ia64 loong m68k mips ppc riscv s390 sh sparc x86"
@@ -27,11 +27,12 @@ RSYNC_OPTS=(
--delete
--delete-after
--timeout=300
- --quiet
--mkpath
)
+[[ $(whoami) == "gmirror" ]] || exit 111
+
for a in ${ARCHES}; do
- [[ -d ${DSTDIR}${a}/binpackages ]] || mkdir ${DSTDIR}/${a}/binpackages
- ${RSYNC} ${RSYNC_ARGS} ${SRCDIR}/${a}/* ${DSTDIR}/${a}/binpackages/
+ [[ -d ${DSTDIR}/${a}/binpackages ]] || mkdir -p ${DSTDIR}/${a}/binpackages
+ rsync "${RSYNC_OPTS[@]}" ${SRCDIR}/${a}/* ${DSTDIR}/${a}/binpackages/
done